langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.paragraph.danger
    - field.field.paragraph.accordion_item.field_title
    - field.field.paragraph.progress_bar.field_bar_height
    - field.field.paragraph.progress_bar.field_percentage
    - field.field.paragraph.progress_bar.field_progress_variant
    - field.field.paragraph.progress_bar.field_title
    - field.field.paragraph.progress_bar.paragraph_view_mode
    - paragraphs.paragraphs_type.progress_bar
  module:
    - entity_vdts
    - layout_builder
    - ui_patterns
    - ui_patterns_layouts
  theme:
    - ui_suite_bootstrap
third_party_settings:
  layout_builder:
    enabled: true
    allow_custom: false
    sections:
      -
        layout_id: 'ui_patterns:ui_suite_bootstrap:progress'
        layout_settings:
          label: ''
          ui_patterns:
            component_id: null
            variant_id:
              source_id: entity_field
              source:
                derivable_context: 'field:paragraph:progress_bar:field_progress_variant'
                'field:paragraph:progress_bar:field_progress_variant':
                  value:
                    source_id: 'field_property:paragraph:field_progress_variant:value'
            slots: {  }
            props:
              attributes:
                source_id: ui_styles_attributes
                source:
                  styles:
                    selected:
                      colors_background_color: bg-danger
                  extra: ''
              aria_label:
                source_id: entity_field
                source:
                  derivable_context: 'field:paragraph:progress_bar:field_title'
                  'field:paragraph:progress_bar:field_title':
                    value:
                      source_id: 'field_property:paragraph:field_title:value'
              percent:
                source_id: entity_field
                source:
                  derivable_context: 'field:paragraph:progress_bar:field_percentage'
                  'field:paragraph:progress_bar:field_percentage':
                    value:
                      source_id: 'field_property:paragraph:field_percentage:value'
              min:
                source_id: number
                source:
                  value: '0'
              max:
                source_id: number
                source:
                  value: '100'
              bar_height:
                source_id: entity_field
                source:
                  derivable_context: 'field:paragraph:progress_bar:field_bar_height'
                  'field:paragraph:progress_bar:field_bar_height':
                    value:
                      source_id: 'field_property:paragraph:field_bar_height:value'
              stacked:
                source_id: checkbox
                source:
                  value: true
          context_mapping:
            entity: layout_builder.entity
        components:
          e3feb99e-8e9e-430d-b941-a41fe19da345:
            uuid: e3feb99e-8e9e-430d-b941-a41fe19da345
            region: label
            configuration:
              id: 'field_block:paragraph:progress_bar:field_title'
              label: Label
              label_display: '0'
              provider: layout_builder
              context_mapping:
                entity: layout_builder.entity
                view_mode: view_mode
              formatter:
                type: string
                label: hidden
                settings: {  }
                third_party_settings:
                  fences:
                    fences_field_tag: none
                    fences_field_classes: ''
                    fences_field_items_wrapper_tag: none
                    fences_field_items_wrapper_classes: ''
                    fences_field_item_tag: none
                    fences_field_item_classes: ''
                    fences_label_tag: none
                    fences_label_classes: ''
                  linked_field:
                    linked: 0
                    type: field
                    destination:
                      field: ''
                      custom: ''
                    advanced:
                      title: ''
                      target: ''
                      class: ''
                      rel: ''
                      text: ''
                    token: ''
            weight: 0
            additional:
              ui_styles_wrapper: {  }
              ui_styles_wrapper_extra: ''
              ui_styles_title: {  }
              ui_styles_title_extra: ''
              ui_styles: {  }
              ui_styles_extra: ''
        third_party_settings: {  }
  entity_vdts:
    bare: true
id: paragraph.progress_bar.danger
targetEntityType: paragraph
bundle: progress_bar
mode: danger
content: {  }
hidden:
  field_bar_height: true
  field_percentage: true
  field_progress_variant: true
  field_title: true
  paragraph_view_mode: true
